#ifndef KANIMAJI_KANIMAJI_HPP
#define KANIMAJI_KANIMAJI_HPP

#include "Settings.hpp"

#include <string>

namespace Kanimaji
{
    void AnimateFile(const std::string& source, const std::string& destination,
                     const AnimationSettings& settings = AnimationSettings::Default());

    std::string Animate(const std::string& source,
                        const AnimationSettings& settings = AnimationSettings::Default());

    void RemoveStrokeNumbers(const std::string& source, const std::string& destination,
                             const RemovalSetttings& settings = RemovalSetttings::Default());

    std::string RemoveStrokeNumbers(const std::string& source,
                                    const RemovalSetttings& settings = RemovalSetttings::Default());
}

#endif // KANIMAJI_KANIMAJI_HPP
